> This page is for Afterpay Online Developer, version Main (default).
> For other versions, use one of these documentation indexes:
> - Main (default): https://developers.afterpay.com/afterpay-online-developer/main/llms.txt
> - v1: https://developers.afterpay.com/afterpay-online-developer/v-1/llms.txt
> - Chinese: https://developers.afterpay.com/afterpay-online-developer/chinese/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.afterpay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.afterpay.com/_mcp/server.

# Retrieve file

GET https://global-api-sandbox.afterpay.com/v2/disputes/files/{id}

Use this endpoint to retrieve files for disputes.

Reference: https://developers.afterpay.com/afterpay-online-developer/api-reference/reference/disputes/retrieve-file

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Servers

- `https://global-api-sandbox.afterpay.com` (Sandbox, default)
- `https://global-api.afterpay.com` (Production)

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `id` (string, required) — ID of the file to be retrieved.

### Headers

- `Accept` (string, optional) — application/json

## Response

### 200

Indicates that the file has been retrieved successfully.

- `url` (string, optional) — The link of the file to be retrieved.
- `expiresAt` (datetime, optional) — The timestamp indicating the expiration of the link.

## Errors

### 401 Retrieve File Request Unauthorized Error

Unauthorized. Invalid merchant credentials.

- `any`

### 404 Retrieve File Request Not Found Error

Not Found. The corresponding entity can't be found for the merchant.

- `any`

### 412 Retrieve File Request Precondition Failed Error

Precondition Failed. Invalid action for the dispute case, or the refund amount is larger than the refundable amount.

- `any`

### 413 Retrieve File Request Content Too Large Error

Request Entity Too Large. The uploaded file is too large. It must be less than 10 MB.

- `any`

### 415 Retrieve File Request Unsupported Media Type Error

Unsupported Media Type. Afterpay does not support the filetype of the uploaded file. It must be: GIF, PDF, JPEG, or PNG.

- `any`

### 422 Retrieve File Request Unprocessable Entity Error

Unprocessable Entity. Invalid parameter in the Dispute API request.

- `any`

### 429 Retrieve File Request Too Many Requests Error

Too Many Requests. Too many requests in a short period of time, retry later.

- `any`

## Examples

**Response**

```json
{
  "url": "https://dispute-attachment.s3.amazonaws.com/fi_7GciehSJnhRdUF9acxsB63",
  "expiresAt": "2023-08-18T02:05:23Z"
}
```

**SDK Code**

```python
import requests

url = "https://global-api-sandbox.afterpay.com/v2/disputes/files/id"

querystring = {"id":"id"}

headers = {
    "Accept": "Accept"
}

response = requests.get(url, headers=headers, params=querystring, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://global-api-sandbox.afterpay.com/v2/disputes/files/id?id=id';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {Accept: 'Accept', Authorization: `Basic ${credentials}`}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://global-api-sandbox.afterpay.com/v2/disputes/files/id?id=id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "Accept")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://global-api-sandbox.afterpay.com/v2/disputes/files/id?id=id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'Accept'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://global-api-sandbox.afterpay.com/v2/disputes/files/id?id=id")
  .header("Accept", "Accept")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://global-api-sandbox.afterpay.com/v2/disputes/files/id?id=id', [
  'headers' => [
    'Accept' => 'Accept',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://global-api-sandbox.afterpay.com/v2/disputes/files/id?id=id");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "Accept");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Accept": "Accept",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://global-api-sandbox.afterpay.com/v2/disputes/files/id?id=id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```